| Method | URI | Description |
|---|---|---|
| POST | /v2/{tenant_id}/flavors | Creates a private flavor. |
Normal response codes: 200
This table shows the URI parameters for the create private flavor request:
| Name | Type | Description |
|---|---|---|
| String | The ID for the tenant or account in a multi-tenancy cloud. |
Example 3.49. Create private flavor: JSON request
{
"flavor": {
"name": "test_flavor",
"ram": 1024,
"vcpus": 2,
"disk": 10,
"id": "10",
"os-flavor-access:is_public": false
}
}Example 3.50. Create private flavor: XML request
<?xml version='1.0' encoding='UTF-8'?> <flavor xmlns="http://docs.openstack.org/compute/api/v1.1" xmlns:os-flavor-access="http://docs.openstack.org/compute/ext/flavor_access/api/v1.1" name="test_flavor" ram="1024" vcpus="2" disk="10" id="10" os-flavor-access:is_public="False" />
This operation does not require a request body.
Example 3.51. Create private flavor: JSON response
{
"flavor": {
"disk": 10,
"id": "10",
"links": [
{
"href": "http://openstack.example.com/v2/openstack/flavors/10",
"rel": "self"
},
{
"href": "http://openstack.example.com/openstack/flavors/10",
"rel": "bookmark"
}
],
"name": "test_flavor",
"os-flavor-access:is_public": false,
"ram": 1024,
"vcpus": 2
}
}Example 3.52. Create private flavor: XML response
<?xml version='1.0' encoding='UTF-8'?> <flavor xmlns:os-flavor-access="http://docs.openstack.org/compute/ext/flavor_access/api/v2" xmlns:atom="http://www.w3.org/2005/Atom" xmlns="http://docs.openstack.org/compute/api/v1.1" disk="10" vcpus="2" ram="1024" name="test_flavor" id="10" os-flavor-access:is_public="False"> <atom:link href="http://openstack.example.com/v2/openstack/flavors/10" rel="self"/> <atom:link href="http://openstack.example.com/openstack/flavors/10" rel="bookmark"/> </flavor>
This operation does not return a response body.

